-- Food Catcher (MiniGame)
-- Author: JoeDaStudd
-- Screen Size is 480 x 272

--Stores
file = io.open("foodgained.txt", "r")
foodgain = file:read("*n")
file:close()
currentfood=1
score=0
speed=1
--Colors
dofile("./colors.lua")
--Images
catcherr=Image.load("catcherr.png")--38x25
catcherl=Image.load("catcherl.png")--38x25
carrot=Image.load("food.png")--13x12
background=Image.load("background.png")--480x272

--Food
ffood={}
ffood[1]={pic=carrot,move="yes",x=math.random(0,451),y=0}
for a = 2,20 do
ffood[a]={pic=carrot,move="no",x=math.random(0,451),y=0}
end
--Player
player={pic=catcherr,direction="right",x=265,y=247}


while true do
pad=Controls.read()
screen:clear()
screen:blit(0,0,background)
screen:print(0,0,"Food Collected:"..score,red)
screen:print(240,0,"Current Speed:"..speed,red)
screen:blit(player.x,player.y,player.pic)
screen:blit(ffood[currentfood].x,ffood[currentfood].y,ffood[currentfood].pic)
--Player movement
if player.direction=="left" then
player.pic=catcherl
end
if player.direction=="right" then
player.pic=catcherr
end
if pad:left() and player.x>=0 then
player.direction="left"
player.x=player.x-4
end
if pad:right() and player.x<=442 then
player.direction="right"
player.x=player.x+4
end
--Food movement
if ffood[currentfood].move=="yes" then
ffood[currentfood].y=ffood[currentfood].y+speed
end
--Speeding Up the food
if currentfood>=5 and currentfood<12 then
speed=2
end
if currentfood>=12 and currentfood>=20 then
speed=3
end
--Borders
if ffood[currentfood].y>=272 then
ffood[currentfood].move="no"
if currentfood<20 then
fcurrentfood=currentfood+1
ffood[currentfood].move="yes"
end
end
if ffood[currentfood].y>=247 and ffood[currentfood].x>=player.x-13 and ffood[currentfood].x<=player.x+38 and ffood[currentfood].move=="yes" then
ffood[currentfood].move="no"
score=score+1
if currentfood<20 then
currentfood=currentfood+1
ffood[currentfood].move="yes"
end
end
--End Screen
if currentfood==20 and ffood[currentfood].move=="no" then
screen:clear()
screen:blit(0,0,Image.load("./gamecomplete.png"))
screen:print(100,180,"Food Gained:" .. score,red)
screen:print(100,200,"Press Square to Return to Petty",red)
file = io.open("foodgained.txt","w")
file:write(score)
file:close()
if pad:square() then
break
end
end
screen.waitVblankStart()
screen.flip()
end
